package com.muyu.data.mart.domain.realname.juhe;

import com.alibaba.fastjson2.annotation.JSONField;
import com.muyu.data.mart.domain.realname.RealNameReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.data.mart.domain.juhe
 * @Project：cloud-port
 * @name：RealNameResp
 * @Date：2024/9/6 10:13
 * 聚会请求
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class JuHeRealNameReq {

    @JSONField(name = "idcard")
    private String idCard;

    @JSONField(name = "realname")
    private String realName;

    @JSONField(name = "orderid")
    private int orderId;
    private String key;

    public static JuHeRealNameReq realNameReqBuilder(RealNameReq realNameReq) {
        return JuHeRealNameReq.builder()
                .key("realNameReq.getKey()")
                .idCard(realNameReq.getIdCard())
                .orderId(0)
                .build();
    }
}
